/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = "9ft, 10ft, 11ft";
const re = /(\d\d)ft/g;

let matches;

while ((matches = re.exec(str)) !== null) {
  console.log(matches);
}

// Logs:
// → ["10ft", "10", index: 5, input: "9ft, 10ft, 11ft", groups: undefined]
// → ["11ft", "11", index: 11, input: "9ft, 10ft, 11ft", groups: undefined]