/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = `Cougar is an adaptable, generalist species, occurring in most 
American habitat types. Secretive and largely solitary by nature, the cougar 
is properly considered both nocturnal and crepuscular. Primary food sources 
are ungulates, particularly deer, but cougars also hunt smaller prey such as 
rodents.`;

function countWord(str, word, caseSensitivity) {
  if (caseSensitivity) {
    const re = new RegExp(word, "g");
    return (str.match(re)||[]).length;
  } else { 
    const re = new RegExp(word, "gi");
    return (str.match(re)||[]).length;
  }
}

console.log(countWord(str, "cougar", true));     // → 2
console.log(countWord(str, "cougar", false));    // → 3