/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function getLength(str) {
  // Create a an instance of segmenter
  const Segmenter = new Intl.Segmenter();

  // Segment the string
  const segment = Segmenter.segment(str);

  // Convert it into an array
  const arr = Array.from(segment);

  // Return the number of characters
  return arr.length;
}
console.log(getLength("𤭢"));      // → 1
console.log(getLength("🐈🐈"));    // → 2