/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = "アジア・東アジアの中でも東方にあります";

function countWords(str, lang) {
  const segments = [...new Intl.Segmenter(lang, {granularity: "word"})
                    .segment(str)];
  return segments.filter(item => item.isWordLike === true).length;  
}

countWords(str, "jp");    // → 8