/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const topPlayers = ["Kraken", "Boss99", "Ninja"];
const msg = "Felicidades a los ganadores de esta semana: ";

function getFormattedList(lang, arr) {
  const formatter = new Intl.ListFormat(lang, {type: "conjunction"});
  return formatter.format(arr);
}

console.log(msg + getFormattedList("es", topPlayers));

// logs:
// → Felicidades a los ganadores de esta semana: Kraken, Boss99 y Ninja
