/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const titles = ["Legendary", "Mighty", "Bold"];
const formatter = new Intl.ListFormat("en", {type: "disjunction"});

console.log("Which honorary title do you prefer? " + 
            formatter.format(titles));

// logs:
// → Which honorary title do you prefer? Legendary, Mighty, or Bold