/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function getFormattedCurrency(currency, amount) {
  return new Intl.NumberFormat("en", {
    style: "currency",
    currency: currency,
    signDisplay: "always"
  }).format(amount);
}

getFormattedCurrency("USD", 499);    // → "+$499.00"