/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
// Remove js comments
function removeComments(str) {
  
  // Match block comments (/*...*/)
  const re1 = /\/\*.*?\*\//sg;
  
  // Match single line comments (//...)
  const re2 = /\/\/\s.+/g;
  
  // Remove comments
  let code = str.replace(re1, "");
      code = code.replace(re2, "");
      
  return code;
}

const jsCode = 
`// a variable
let abc = 123;
/* another
variable */
let def = 456;`;

console.log(removeComments(jsCode));
//  
// let abc = 123;
// 
// let def = 456;