/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = `Tyre pressure is expressed as pounds per square inch 
(PSI). Proper tyre pressure is necessary for optimal handling. 
It's important to inspect your tyres every month for wear.`;

const re = /\b(t)yre(s)?\b/gi;

str.replace(re, "$1ire$2");    
// → "Tire pressure is expressed as pounds per square inch (PSI).
// Proper tire pressure is necessary for optimal handling. It's important 
// to inspect your tires every month for wear." 