/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
let result = "";

// Extract info from each element and append it to result
function extractData(str) {
  const re = /.+/ys; 
  re.lastIndex = 9;
  const match = str.match(re);
  if (match) {
    result = result + match[0] + " ";
  } else {
    throw new Error("No match found.");
  }
}

// Execute extractData() for the content of each <p> element
document.querySelectorAll("p").forEach(el => {
  extractData(el.textContent);
});

// Remove newline characters from the resulting string,
// remove whitespace from both ends of the string,
// and enclose it in a pair of <p> tags.
console.log(`<p>${result.trim().replaceAll("\n", "")}</p>`);