/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = `The Company posted a September quarter record revenue 
of $90.3 million, up 8 percent year over year.`;

const re = /\$(?=90\.3\smillion)/ig;

// Replace only $ with €
str.replace(re, "€");
// → "The Company posted a September quarter record revenue \n
// of €90.3 million, up 8 percent year over year."