/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const re = /([\p{Alpha}\p{Pc}\p{Mark}\p{Nd}\p{Join_Control}]+)\.pdf\b/u;
const str = "Please click on شاهنامه.pdf to download the file.";
const result = str.match(re);

if (result) {
  console.log(result[1])
} else {
  console.error("No match found.");
}

// Logs:
// → شاهنامه