/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = 
`1. Dwayne Johnson, also known as "The Rock" 
2. Scarlett Johansson, also known as "Scarjo"
3. Bradley Cooper, also known as "Coop"
4. Jennifer Lawrence, also known as "Nitro"
5. Hugh Jackman, also known as "Sticks"
6. Tom Hardy, also known as "Weasel"`;
function extractQuotes(str) {
  const re = /"([^"]*)"/g;
  const quotes = [...str.matchAll(re)].map(value => value[1]);

  return quotes;
}

extractQuotes(str);
// → ["The Rock", "Scarjo", "Coop", "Nitro", "Sticks", "Weasel"]
