/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function removeDuplicateLines(str) {
  const re = /^(.*)(?:\r?\n\1)+$/mg;
  return str.replace(re, "$1");
}

const str = 
`Team Power Rankings
#1  Cleveland Cavaliers 45-28
#2  Philadelphia 76ers 48-22
#2  Philadelphia 76ers 48-22
#3  Memphis Grizzlies 43-27
#4  Boston Celtics 49-23
#4  Boston Celtics 49-23
#4  Boston Celtics 49-23`;

const result = removeDuplicateLines(str);

console.log(result);
// Team Power Rankings
// #1  Cleveland Cavaliers 45-28
// #2  Philadelphia 76ers 48-22
// #3  Memphis Grizzlies 43-27
// #4  Boston Celtics 49-23