/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function isValidPostalCode(postalCode) {
  const re = /^(?!.*[DFIOQU])[A-VXY][0-9][A-Z]\s[0-9][A-Z][0-9]$/;
  return re.test(postalCode);
}

isValidPostalCode("A1A 1A1A");    // → false
isValidPostalCode("111 111");     // → false
isValidPostalCode("A1A1A1");      // → false
isValidPostalCode("A1A-A1A");     // → false
isValidPostalCode("12A 1B1");     // → false
isValidPostalCode("M5V 1J2");     // → true