/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function isValidSSN(ssn) {
  const re = /^(?!666|000)[0-8]\d{2}-(?!00)\d{2}-(?!0000)\d{4}$/;
  return re.test(ssn);
}

isValidSSN("123-45-6789");   // → true
isValidSSN("123-456-789");   // → false
isValidSSN("123-00-6789");   // → false
isValidSSN("666-45-6789");   // → false