/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function isValidZipCode(zipcode) {
  const re = /^\d{5}(?:[-\s]\d{4})?$/;
  return re.test(zipcode);
}

isValidZipCode("12345-6789");    // → true
isValidZipCode("12345 6789");    // → true
isValidZipCode("12345");         // → true
isValidZipCode("123456789");     // → false
isValidZipCode("1234-56789");    // → false
isValidZipCode("123456");        // → false
isValidZipCode("1234");          // → false