/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = "10, 20, 30";
const re = /\d\d/g;    // Match two consecutive digits

console.log(re.test(str));    // → true
console.log(re.lastIndex);    // → 2

console.log(re.test(str));    // → true
console.log(re.lastIndex);    // → 6

// lastIndex is writable
// so you can set it manually
re.lastIndex = 11; 
console.log(re.test(str));    // → false <label id="code.false"/>
console.log(re.lastIndex);    // → 0