/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str1 = "⑥";    // \u2465

console.log(str1.normalize("NFD"));     // → ⑥ (\u2465)
console.log(str1.normalize("NFC"));     // → ⑥ (\u2465)
console.log(str1.normalize("NFKD"));    // → 6 (\u0036)
console.log(str1.normalize("NFKC"));    // → 6 (\u0036)

const str2 = "⁶";    // \u2076

console.log(str2.normalize("NFD"));     // → ⁶ (\u2076)
console.log(str2.normalize("NFC"));     // → ⁶ (\u2076)
console.log(str2.normalize("NFKD"));    // → 6 (\u0036)
console.log(str2.normalize("NFKC"));    // → 6 (\u0036)