/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = "ẛ";     // \u1E9B

console.log(str.normalize("NFD"));     // → ẛ (\u017F\u0307)
console.log(str.normalize("NFC"));     // → ẛ (\u1E9B)

console.log(str.normalize("NFKD"));    // → ṡ (\u0073\u0307)
console.log(str.normalize("NFKC"));    // → ṡ (\u1E61)