/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function extractList(str) { 
  const start = str.indexOf(":");
  const end = str.indexOf(".", start);
  const list = str.slice(start + 2, end);
  
  return list.split(", ");
}

extractList("Available in three colors: red, black, and blue.");    
// → [ "red", "black", "and blue" ]

extractList("Available colors: Red/Black/Blue."); 
// → "Red/Black/Blue"

extractList("Available colors: Red, Black, Blue, etc."); 
// → [ "Red", "Black", "Blue", "etc" ]