/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const FIFAChamps = {
  "Brazil": 5,
  "Germany": 4,
  "Italy": 4,
  "Argentina": 2,
  "France": 2,
  "Uruguay": 2,
  "Spain": 1,
  "England": 1
};

const UEFAChamps = {
  "Germany": 3,
  "Spain": 3,
  "Italy": 2,
  "France": 2,
  "Russia": 1,
  "Czech Republic": 1,
  "Portugal": 1,
  "Netherlands": 1,
  "Denmark": 1,
  "Greece": 1
};

function getIntersection(obj1, obj2) {
  return Object.keys(obj1).filter(key => {
    return key in obj2;
  });
}

// This constant will hold an array containing the keys of intersection
const intersection = getIntersection(FIFAChamps, UEFAChamps);

// Get a reference to the body of the table
const tbody = document.querySelector("#national_teams tbody");

intersection.forEach(elem => {
  const row = tbody.insertRow();
  const cell1 = row.insertCell(0);
  const cell2 = row.insertCell(1);
  const cell3 = row.insertCell(2);
  cell1.textContent = elem;
  cell2.textContent = UEFAChamps[elem];
  cell3.textContent = FIFAChamps[elem];
});
