/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function getIntersection(obj1, obj2) {
  const k1 = Object.keys(obj1);
  const k2 = Object.keys(obj2);
  const [first, next] = k1.length > k2.length ? [k2, obj1] : [k1, obj2];   
  return first.filter(key => key in next);
}