/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const str = 
`## Why is chocolate bad for your dog?
Some text ...
## Best way to trim your dog's nails
More text ...
## Are there human foods that are safe for dogs?
...`;

function startsWithEndsWith(str, start, end) {
  return str.startsWith(start) && str.endsWith(end);
}

str.split("\n").forEach(str => { 
  if (startsWithEndsWith(str, "##", "?")) {
    console.log(str);
  };
});

// logs:
// → ## Why is chocolate bad for your dog?
// → ## Are there human foods that are safe for dogs?