/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const quotes = [
  "The children [Hansel and Gretel] found a house made of candy.",
  "Fortune favors the bold.",
  "They [France] are playing against England tomorrow.",
  "Everything you’ve ever wanted is on the other side of fear.",
  // ...
]

const quotesWithMod = [];
const re = /\[\w+(?:\s\w+)*\]/;

quotes.forEach(quote => {
  if (re.test(quote)) {
    quotesWithMod.push(quote);
  }
});

console.log(quotesWithMod);

// log:
// [
//   "The children [Hansel and Gretel] found a house made of candy.",
//   "They [France] are playing against England tomorrow."
// ]