/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
const phoneNum = "123-456-7890";

function formatPhoneNumber(num) {

  // Remove non-digits
  num = num.replace(/\D/g,"");

  // Format the number
  num = num.replace(/(?<area>\d{3})(?<exchange>\d{3})(?<line>\d{4})/,
                    "($<area>) $<exchange>-$<line>");

  return num;
}

formatPhoneNumber(phoneNum);    // → "(123) 456-7890"