/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function includesWord(str, word) {
  let s = [...new Intl.Segmenter("en", {granularity: "word"}).segment(str)];
  return s.some(value => {
    return value.segment === word;
  });
}

includesWord("Her flashing green eyes.", "green");                 
// → true

includesWord("We must reduce the emissions of greenhouse gases.", "green"); 
// → false

includesWord("The green-eyed monster", "green");
// → true

includesWord("I can't do it", "can"); 
// → false