/***
 * Excerpted from "Text Processing with JavaScript",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/fkjavascript for more book information.
***/
function findNearbyWords(text, word1, word2, maxDistance) {
  const regex = new RegExp(`${word1}.{0,${maxDistance}}${word2}`, "gi");
  const matches = text.match(regex);
  return matches;
}

const text = "Both client- and server-side scripts must validate form data.";
const word1 = "client";
const word2 = "side";
const maxDistance = 20;

findNearbyWords(text, word1, word2, maxDistance);
// → ["client- and server-side"]